Subject: [L2tpext] Questions regarding L2TP tunnel switching

From: Diego Salvador <[email-masked]>
Date: Wed, 13 Jun 2007 08:38:47 -0700 (PDT)

To Whom It May Concerned:

Hi! I need to ask some questions regarding L2TP tunnel switching draft reference http://www.ietf.org/internet-drafts/draft-ietf-l2tpext-tunnel-switching-08.txt.

1. Based on Figure 1, when the LAC established the first tunnel to the TSA (LNS) and the first session will be further tunneled to another tunnel from the TSA (LAC) to be terminated to the destined LNS, what would be the activity between the LNS (TSA) and LAC (TSA) during the process of forwarding the PPP session? It has been described that there is stripping of L2TP headers and PPP frames are encapsulated to the second L2TP tunnel, so in this case is it only the L2TP session is used in passing the PPP frames from TSA (LNS) to the TSA (LAC)? Does it include any AVPs for this particular session? If it does, what should be the AVPs involved?

2. If further L2TP tunnel will be done from a TSA (LAC) to a terminated LNS then is it also allowed to pass L2TP sessions on existing L2TP tunnels? Becasue what I have understand from this document, is that when forwarding sessions from the outgoing TSA (LAC) to an LNS, new L2TP tunnels will be created to pass these sessions.

3. The document also mentioned about negotiated paramenters when the first session is established from the beginning and the TSA will use it as the basis for the second session. Is these negotiated parameters pertaining to control connection messages or AVPs involved?

4. How should TSA manages another TSA in a more aggregated L2TP scenario? Let say for example, a conventional LCCE (LAC) tunneled to at least 4 TSA to terminate tunnels and sessions to a destined LCCE (LNS)? Is there a case like this in real deployment?

5. What does the term "hop" means ? Is this pertaining to LAC-to-LNS(TSA) or LNS(TSA)-to-LAC(TSA)? 

6. What is the difference between static and dynamic PPP session establishment?

7. How does PPP frames forwarded from the terminating LAC to the TSA-LNS? From TSA-LNS to TSA-LAC? TSA-LAC to TSA-LNS? RFC 2661 section 5.3 on Forwarding PPP Frames?

Thank you.

Sincerely Yours,

Diego Salvador
       
---------------------------------
 Tired of spam? Yahoo! Mail has the best spam protection around
 http://ph.mail.yahoo.com

_______________________________________________
L2tpext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2tpext